package repositories

import (
	"errors"

	"gitea.michaelthomson.dev/mthomson/habits/internal/models"
)

var (
	ErrNotFound error = errors.New("Todo cannot be found")
)

type TodoRepository interface {
	Create(todo *models.Todo) error
	GetById(id int64) (*models.Todo, error)
	Update(todo *models.Todo) error
	Delete(id int64) error
}
